Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter S : nat -> nat.
Parameter plus : nat -> nat -> nat.
Parameter plus_body : nat -> nat -> nat.
Axiom axiom_plus_body_S : forall (n:nat), connectives.equal (nat -> nat) (plus_body (S n)) (fun (m:nat) => S (plus n m)).
Definition eq_plus_body_S : forall (n:nat), leibniz.leibniz (nat -> nat) (plus_body (S n)) (fun (m:nat) => S (plus n m)) := fun (n:nat) => ((((connectives.equal_leibniz) (nat -> nat)) (plus_body (S n))) (fun (m:nat) => S (plus n m))) ((axiom_plus_body_S) (n)).
